// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: vkAudioListItemInfo
    width: audioStateText.width + loadingIndicator.width + loadingIndicator.anchors.rightMargin
    height: audioStateText.height

    VkCoreText {
        id: audioStateText
        anchors.right: parent.right
        text: isLoadFailed ? "ошибка" : (isLoading ? "загрузка" : (isStatePaused ? "пауза" : (isLoaded ? "загружено" : "")))
        font.pixelSize: 14
        color: isLoadFailed ? "red" : (isCurrentAudio ? "black" : "darkgrey")
        wrapMode: Text.NoWrap

        Behavior on text {
            NumberAnimation {
                target: audioStateText
                property: "opacity"
                from: 0
                to: 1
                duration: 500
            }
        }
    }
    BusyIndicator {
        id: loadingIndicator
        anchors {
            right: audioStateText.left
            verticalCenter: audioStateText.verticalCenter
            rightMargin: 3
        }
        platformStyle: BusyIndicatorStyle { size: "small" }
        visible: isLoading
        running: isLoading
    }
}
