// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: vkCommentListItem

    // functions and signals

    anchors {
        left: parent ? parent.left : undefined
        right: parent ? parent.right : undefined
        leftMargin: 20
        rightMargin: 20
    }
    height: mainLayout.height

    //
    property int commentInternalMargin: 10
    property int commentDividerMargin: 5

    //
    Column {
        id: mainLayout
        anchors {
            left: parent.left
            right: parent.right
        }
        spacing: commentDividerMargin

        // divider
        Item {
            anchors {
                left: parent.left
                right: parent.right
            }
            height: 1
            visible: index > 0
        }
        VkCoreListElementDivider {
            id: elementDivider
            visible: index > 0
        }

        // main section
        Row {
            anchors {
                left: parent.left
                right: parent.right
            }
            spacing: commentInternalMargin

            // avatar
            VkCoreAvatar {
                id: authorAvatar

                imgSrc: uid_avatar
                online: uid_online
            }

            // info
            Column {
                width: parent.width - authorAvatar.width - parent.spacing
                spacing: commentInternalMargin

                // name
                VkCoreText {
                    anchors {
                        left: parent.left
                        right: parent.right
                    }

                    font.weight: Font.Bold
                    color: "#45688E"
                    text: uid_name
                }
                // text
                VkCoreText {
                    id: commentText
                    anchors {
                        left: parent.left
                        right: parent.right
                    }

                    text: model.text
                }
                Row {
                    VkCoreText {
                        text: vkAppService.dateTimePassedToString(date, vkAppService.curDateTimeUpdated, " в ", true, 0) + (isSending ? " | отправка" : "")
                        font.pixelSize: 14
                        color: "#999999"
                        wrapMode: Text.NoWrap
                    }
                }
            }
        }
    }
}
