// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import VkBuildIn 1.0

Item {
    id: vkCoreImage

    property int    imgWidth:  100
    property int    imgHeight: 100
    property alias  color:     imgLoadingBack.color
    property bool   loaded:    coreImg.status === VkCachedImage.Ready

    property alias  imgSrc:    coreImg.source
    property alias  imgLoader: coreImg.cache

    width:  coreImg.width < 1 ? imgWidth : coreImg.width
    height: coreImg.height < 1 ? imgHeight : coreImg.height
    VkCachedImage {
        id: coreImg

        width: imageWidth
        height: imageHeight

        visible: status === VkCachedImage.Ready ? true : false
        cache:  ""
        source: ""
    }
    Rectangle {
        id: imgLoadingBack
        color: "transparent"
        anchors.fill: parent
        visible: coreImg.status === VkCachedImage.Ready ? false : true
    }
    BusyIndicator {
        id: imgLoadingIndicator
        anchors.centerIn: parent
        visible: coreImg.status === VkCachedImage.Ready ? false : true
        running: coreImg.status === VkCachedImage.Ready ? false : true
    }
}
