// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import com.nokia.extras 1.1

Item {
    id: vkCoreLikeControl

    signal repostClicked()
    signal likeClicked()
    signal dislikeClicked()

    property bool controlRepostEnabled: true

    height: vkCoreLikeControlRow.height
    width: vkCoreLikeControlRow.width

    Row {
        id: vkCoreLikeControlRow
        anchors {
            top: parent.top
            right: parent.right
        }

        height: Math.max(vkCoreLikeControlLikeButtons.height, vkCoreLikeControlLikeCount.height)
        spacing: 5

        BusyIndicator {
            anchors.verticalCenter: parent.verticalCenter

            visible: likes_busy
            running: likes_busy
        }
        ButtonRow {
            id: vkCoreLikeControlLikeButtons
            anchors.verticalCenter: parent.verticalCenter

            width: controlRepostEnabled ? 120 : 60

            exclusive : false
            Button {
                visible: controlRepostEnabled
                iconSource: enabled ? "../../icons/vk-repost.png" : "../../icons/vk-repost-disabled.png"
                checked: reposts_user_reposted
                enabled: likes_can_publish && !likes_busy
                onClicked: repostClicked()
            }
            Button {
                iconSource: enabled ? "../../icons/vk-like.png" : "../../icons/vk-like-disabled.png"
                checked: likes_user_likes
                enabled: (likes_can_like || likes_user_likes) && !likes_busy
                onClicked: checked ? dislikeClicked() : likeClicked()
            }
        }
        CountBubble {
            id: vkCoreLikeControlLikeCount
            anchors.verticalCenter: parent.verticalCenter
            largeSized: true
            value: likes_count
        }
    }
}
