// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import com.nokia.extras 1.1

Item {
    id: vkCoreLikeControlShort

    property alias  busyIndicatorStyle: likeBusyIndicator.platformStyle

    signal repostClicked()
    signal likeClicked()
    signal dislikeClicked()

    height: vkCoreLikeControlRow.height
    width: vkCoreLikeControlRow.width

    BusyIndicator {
        id: likeBusyIndicator
        anchors {
            verticalCenter: vkCoreLikeControlRow.verticalCenter
            right: vkCoreLikeControlRow.left
            rightMargin: 5
        }

        visible: likes_busy
        running: likes_busy
    }

    Row {
        id: vkCoreLikeControlRow
        anchors {
            top: parent.top
            right: parent.right
        }

        height: Math.max(vkCoreLikeControlLikeButton.height, vkCoreLikeControlLikeCount.height)
        spacing: 5

        Button {
            id: vkCoreLikeControlLikeButton
            anchors.verticalCenter: parent.verticalCenter
            width: height
            iconSource: enabled ? "../../icons/vk-like.png" : "../../icons/vk-like-disabled.png"
            checked: likes_user_likes
            enabled: (likes_can_like || likes_user_likes) && !likes_busy
            onClicked: checked ? dislikeClicked() : likeClicked()
        }
        CountBubble {
            id: vkCoreLikeControlLikeCount
            anchors.verticalCenter: parent.verticalCenter
            largeSized: true
            value: likes_count
        }
    }
}
