// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: vkCoreLikeInfo

    height: Math.max(vkCoreLikeInfoComments.height, vkCoreLikeInfoLikes.height)

    Item {
        id: vkCoreLikeInfoComments
        anchors {
            right: vkCoreLikeInfoLikes.left
            top: parent.top
            rightMargin: vkCoreLikeInfoLikes.visible ? 5 : 0
        }
        width: vkCoreLikeInfoCommentsImg.width + 5 + vkCoreLikeInfoCommentsCount.width
        height: Math.max(vkCoreLikeInfoCommentsImg.height, vkCoreLikeInfoCommentsCount.height)
        visible: comments_count
        Image {
            id: vkCoreLikeInfoCommentsImg
            anchors {
                left: parent.left
                top: parent.top
            }
            source: "../../icons/vk-icon-comments.png"
        }
        VkCoreText {
            id: vkCoreLikeInfoCommentsCount
            anchors {
                right: parent.right
                verticalCenter: parent.verticalCenter
            }
            text:  comments_count
            font.pixelSize: 16
            wrapMode: Text.NoWrap
        }
    }
    Item {
        id: vkCoreLikeInfoLikes
        anchors {
            right: parent.right
            top: parent.top
        }
        width: vkCoreLikeInfoLikesImg.width + 5 + vkCoreLikeInfoLikesCount.width
        height: Math.max(vkCoreLikeInfoLikesImg.height, vkCoreLikeInfoLikesCount.height)
        visible: likes_count
        Image {
            id: vkCoreLikeInfoLikesImg
            anchors {
                left: parent.left
                top: parent.top
            }
            source: likes_user_likes ? "../../icons/vk-icon-likes.png" : "../../icons/vk-icon-likes-inactive.png"
        }
        VkCoreText {
            id: vkCoreLikeInfoLikesCount
            anchors {
                right: parent.right
                verticalCenter: parent.verticalCenter
            }
            text: likes_count
            font.pixelSize: 16
            wrapMode: Text.NoWrap
        }
    }
}
