// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import VkBuildIn 1.0

Item {
    id: vkCoreScaledImage

    property int    imgWidth:  100
    property int    imgHeight: 100
    property alias  imgScaledWidth:  coreImg.scaledWidth
    property alias  imgScaledHeight: coreImg.scaledHeight
    property alias  color:     imgLoadingBack.color
    property alias  busyIndicatorStyle: imgLoadingIndicator.platformStyle

    property alias  imgSrc:    coreImg.source
    property alias  imgLoader: coreImg.cache

    width:  coreImg.actualWidth < 1 ? imgWidth : coreImg.actualWidth
    height: coreImg.actualHeight < 1 ? imgHeight : coreImg.actualHeight
    VkScaledCachedImage {
        id: coreImg

        width: imageWidth
        height: imageHeight

        visible: status === VkCachedImage.Ready ? true : false
        cache:  ""
        source: ""
    }
    Rectangle {
        id: imgLoadingBack
        color: "transparent"
        anchors.fill: parent
        visible: coreImg.status === VkCachedImage.Ready ? false : true
    }
    BusyIndicator {
        id: imgLoadingIndicator
        anchors.centerIn: parent
        visible: coreImg.status === VkCachedImage.Ready ? false : true
        running: coreImg.status === VkCachedImage.Ready ? false : true
    }
}
