// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: vkCoreSelectionArea

    // signals
    signal clicked              ()
    signal pressAndHold         ()

    // ui settings
    property real   clickedOpacity:     0.4
    property int    animDuration:       100
    property bool   allowPressAndhold:  false

    // alias
    property alias  currentColor:       hiliter.color
    property alias  currentOpacity:     hiliter.opacity

    Rectangle {
        id: hiliter
        anchors.fill: parent
        color: "#1082de"
        opacity: 0

        states: [
            State {
                name: "normal"
                PropertyChanges {target: hiliter; opacity: 0}
            },
            State {
                name: "clicked"
                PropertyChanges {target: hiliter; opacity: vkCoreSelectionArea.clickedOpacity}
            }
        ]
        Behavior on opacity {
            NumberAnimation {duration: vkCoreSelectionArea.animDuration; easing.type: Easing.OutQuad}
        }
    }
    MouseArea {
        anchors.fill: parent
        onPressed:  { hiliter.state = "clicked"; }
        onReleased: { hiliter.state = "normal"; }
        onCanceled: { hiliter.state = "normal"; }
        onClicked:  { vkCoreSelectionArea.clicked(); }

        Component.onCompleted: {
            if (vkCoreSelectionArea.allowPressAndhold) {
                pressAndHold.connect(vkCoreSelectionArea.pressAndHold)
            }
        }
    }
}
