// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: vkFriendsContactCard

    // ui settings
    property int    borderOffset:       5
    property int    infoHeight:         Math.max(contactInfo.height, buttonSend.height)

    anchors {
        left: parent.left
        right: parent.right
    }
    height: Math.max(infoHeight, val_avatar.height) + borderOffset * 2

    VkCoreAvatar {
        id: val_avatar
        anchors {
            left: parent.left
            top: parent.top
            topMargin: vkFriendsContactCard.borderOffset
        }

        imgSrc: photoURL
        online: model.online
    }

    VkCoreText {
        id: contactInfo
        anchors {
            left: val_avatar.right
            right: buttonSend.left
            top: val_avatar.top
            leftMargin: 10
            rightMargin: 10
        }
        text: firstName + " " + nickName + " " + lastName
        font.weight: Font.Bold
        color: "#45688E"
    }
    Button {
        id: buttonSend
        width: height

        anchors {
            right: parent.right
            top: parent.top
            topMargin: vkFriendsContactCard.borderOffset
        }

        iconSource: "image://theme/icon-m-toolbar-new-chat"
        onClicked: mainPage.showDialogWith(uid)
    }
    VkCoreListElementDivider {
        anchors.top: parent.top
        visible: index > 0
    }
    Rectangle {
        id: hiliter
        anchors {
            left: parent.left
            right: parent.right
            top: parent.top
            bottom: parent.bottom
            leftMargin: -parent.anchors.leftMargin
            rightMargin: -parent.anchors.rightMargin
        }
        color: "#1082de"
        opacity: 0

        states: [
            State {
                name: "normal"
                PropertyChanges {target: hiliter; opacity: 0}
            },
            State {
                name: "clicked"
                PropertyChanges {target: hiliter; opacity: 0.4}
            }
        ]
        Behavior on opacity {
            NumberAnimation {duration: 200; easing.type: Easing.OutQuad}
        }
    }
    MouseArea {
        anchors {
            left: parent.left
            right: buttonSend.left
            top: hiliter.top
            bottom: hiliter.bottom
            leftMargin: hiliter.anchors.leftMargin
        }
        onPressed:  hiliter.state = "clicked"
        onReleased: hiliter.state = "normal"
        onCanceled: hiliter.state = "normal"
        onClicked: mainPage.showUserPage(uid)
    }
}
