// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: vkPhotosAlbumCover

    property alias coverWidth: coverPlaceholder.width
    property alias coverHeight: coverPlaceholder.height

    // signals
    signal albumItemClicked     (int aid)

    Item {
        anchors {
            fill: parent
            leftMargin: 10
            rightMargin: 10
            topMargin: 5
            bottomMargin: 5
        }

        Item {
            id: coverPlaceholder
            clip: true
            anchors {
                horizontalCenter: parent.horizontalCenter
                top: parent.top
            }

            VkCoreImage {
                id: coverImg
                anchors.centerIn: parent

                imgWidth:  parent.width
                imgHeight: parent.height
                imgSrc:    src
                imgLoader: "photo"
            }
        }

        VkCoreText {
            id: coverName
            anchors {
                left: parent.left
                right: parent.right
                bottom: parent.bottom
            }

            text: title_simple
            horizontalAlignment: Text.AlignHCenter
            font.pixelSize: 20
            wrapMode: Text.NoWrap
            textFormat: Text.PlainText
            elide: Text.ElideRight
        }
    }
    VkCoreSelectionArea {
        anchors.fill: parent
        onClicked: albumItemClicked(aid)
    }
}
