// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: vkPhotosItemPreview

    property alias previewWidth: previewPlaceholder.width
    property alias previewHeight: previewPlaceholder.height

    // signals
    signal photoItemClicked     (int idx, int aid)

    Item {
        anchors {
            fill: parent
            margins: 5
        }

        Item {
            id: previewPlaceholder
            clip: true
            anchors {
                horizontalCenter: parent.horizontalCenter
                top: parent.top
            }

            VkCoreImage {
                id: previewImg
                anchors.centerIn: parent

                imgWidth:  parent.width
                imgHeight: parent.height
                imgSrc:    src
                imgLoader: "photo"
            }
        }
    }
    VkCoreSelectionArea {
        anchors.fill: parent
        onClicked: photoItemClicked(index, aid)
    }
}
