// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: vkProfileActiveBlock
    anchors {
        left: parent.left
        right: parent.right
        leftMargin: 20
        rightMargin: 20
    }

    property bool  isBlockVisible: false
    property alias headerDividerColor: blockDivider.color
    property alias headerDividerText: blockDivider.text
    property alias headerDividerTextColor: blockDivider.textcolor
    property alias content: blockContent.children

    height: blockHeader.height + blockContent.height +  blockContent.anchors.topMargin

    Item {
        id: blockHeader

        anchors {
            left: parent.left
            right: parent.right
            top: parent.top
        }
        height: Math.max(blockIndicator.height, blockDivider.height)

        Image {
            id: blockIndicator
            anchors {
                left: parent.left
                verticalCenter: parent.verticalCenter
            }
            source: "image://theme/icon-m-toolbar-down"
            rotation: vkProfileActiveBlock.isBlockVisible ? 180 : 0
            Behavior on rotation {
                RotationAnimation { duration: 300; easing.type: Easing.OutQuad }
            }
        }
        VkProfileDivider {
            id: blockDivider
            anchors {
                left: blockIndicator.right
                verticalCenter: parent.verticalCenter
                leftMargin: 40
            }
            color: dividerColor
            text: "Действия"
            textcolor: dividerTextColor
        }

        VkCoreSelectionArea {
            anchors.fill: parent

            onClicked: vkProfileActiveBlock.isBlockVisible = !vkProfileActiveBlock.isBlockVisible
        }
    }
    Item {
        id: blockContent

        anchors {
            left: parent.left
            right: parent.right
            top: blockHeader.bottom
            topMargin: vkProfileActiveBlock.isBlockVisible ? 8 : 0
        }
        height: vkProfileActiveBlock.isBlockVisible ? childrenRect.height : 0
        clip: true
        Behavior on height {
            NumberAnimation { duration: 400; easing.type: Easing.OutQuad }
        }
    }
}
