// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: vkVideoListItem

    // signals
    signal itemClicked(int idx)

    anchors {
        left: parent ? parent.left : undefined
        right: parent ? parent.right : undefined
    }
    height: videoItem.height


    VkCoreImage {
        id: videoItem
        anchors {
            left: parent.left
            top: parent.top
        }
        imgSrc:    image
        imgLoader: "photo"

        Image {
            id: videoItemPic
            anchors.centerIn: parent
            source: "../../icons/vk-videoclip.png"
        }

        Rectangle {
            id: videoTimeBar
            anchors {
                left: parent.left
                right: parent.right
                bottom: parent.bottom
            }
            height: videoInfoTime.height
            color: "#A0000000"

            VkCoreText {
                id: videoInfoTime
                anchors {
                    right: parent.right
                    bottom: parent.bottom
                    rightMargin: 5
                }
                text: vkAppService.getTimeFromMSec(duration * 1000)
                font.pixelSize: 14
                color: "white"
                wrapMode: Text.NoWrap
            }
        }
    }
    Item {
        id: videoInfo
        anchors {
            left: videoItem.right
            right: parent.right
            top: parent.top
            bottom: videoItem.bottom
            leftMargin: 10
        }

        VkCoreText {
            id: videoInfoTitle
            anchors {
                left: parent.left
                right: parent.right
                top: parent.top
            }
            text: title
            font.bold: true
            font.pixelSize: 16
        }
        VkCoreText {
            id: videoInfoDesc
            anchors {
                left: parent.left
                right: parent.right
                top: videoInfoTitle.bottom
                bottom: parent.bottom
                topMargin: 10
            }
            text: vkAppService.truncateText(description, 100, "...")
            font.pixelSize: 15
            clip: true
        }
    }

    VkCoreSelectionArea {
        anchors {
            fill: parent
            leftMargin: -parent.anchors.leftMargin
            rightMargin: -parent.anchors.rightMargin
        }
        onClicked: itemClicked(index)
    }
}
